/* motor1.c */
#include "eyebot.h"

MotorHandle     leftmotor;
MotorHandle     rightmotor;

int main ()
{
	LCDClear();
	LCDMode(SCROLLING|NOCURSOR);
	LCDMenu("","","","END");

	leftmotor = MOTORInit(LEFTMOTOR);
	rightmotor = MOTORInit(RIGHTMOTOR);

	if(!leftmotor || !rightmotor) 
	{
		OSError("Init Error!\n", 0 , FALSE);
		return -1;
	}

	LCDPutString("Girando ...\n");
	MOTORDrive (rightmotor,50);
	MOTORDrive (leftmotor,-50);
    OSWait(200);

	/* para el motor */
	MOTORDrive (rightmotor | leftmotor,0);
	LCDPutString("\nParado ...\n");

	KEYWait(KEY4);   /* espera que se pulsa la tecla 4 */

	MOTORRelease (rightmotor|leftmotor);

	return 0;
}
